| Qore XdbcFirebirdSqlUtilBase Module Reference 0.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
XdbcFirebirdSqlUtilBase::XdbcFirebirdDatabase Class Reference

provides the Firebird-specific implementation of the AbstractDatabase interface More...

## Public Member Functions
int | getMaximumPrecision ()
| Returns the maximum precision for numeric or decimal columns.
bool | requiresScale ()
| Returns True if the driver requires a scale to support decimal values in numeric or decimal columns.

## Public Attributes
const | XdbcFirebirdReservedWords = ...
| hash of reserved words

## Protected Member Functions
| computeStatisticsImpl (*hash< auto > options)
| compute statistics implementation. See SqlUtil::AbstractDatabase::computeStatistics()
softint | getCurrentSequenceValueImpl (string name)
| returns the last value issued for the given sequence in the current session
softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
int | getPhysicalSizeImpl ()
| SqlUtil::AbstractDatabase.getPhysicalSize()
list< string > | listFunctionsImpl ()
| returns a list of string function names in the database
list< string > | listProceduresImpl ()
| returns a list of string procedure names in the database
softlist< string > | listTablesImpl ()
| returns a list of string table names in the database
bool | rebuildIndexImpl (string name, *hash< auto > options)
| rebuild index implementation. See SqlUtil::AbstractDatabase::rebuildIndex()
| reclaimSpaceImpl (*hash< auto > options)
| reclaim space implementation. See SqlUtil::AbstractDatabase::reclaimSpace()
bool | supportsPackagesImpl ()
| returns True if the database supports packages
bool | supportsSequencesImpl ()
| returns True since we have a workaround implementation for sequences in XdbcFirebird
bool | supportsTypesImpl ()
| returns True if the database supports named types

## Detailed Description

provides the Firebird-specific implementation of the AbstractDatabase interface

## Member Function Documentation

## ◆ getMaximumPrecision()

int XdbcFirebirdSqlUtilBase::XdbcFirebirdDatabase::getMaximumPrecision | ( |  | ) |

Returns the maximum precision for numeric or decimal columns.

Returns
  -1 means, no maximum

Since
  XdbcFirebirdSqlUtilBase 1.4.3

## ◆ listFunctionsImpl()

list< string > XdbcFirebirdSqlUtilBase::XdbcFirebirdDatabase::listFunctionsImpl | ( |  | ) |
| protected

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

## ◆ listProceduresImpl()

list< string > XdbcFirebirdSqlUtilBase::XdbcFirebirdDatabase::listProceduresImpl | ( |  | ) |
| protected

returns a list of string procedure names in the database

The procedure names will include arguments in parentheses after the names

Returns
  a list of string procedure names in the database

## ◆ requiresScale()

bool XdbcFirebirdSqlUtilBase::XdbcFirebirdDatabase::requiresScale | ( |  | ) |

Returns True if the driver requires a scale to support decimal values in numeric or decimal columns.

Returns
  True if the driver requires a scale to support decimal values in numeric or decimal columns

Since
  XdbcFirebirdSqlUtilBase 1.4.3